.auth-page {
    background: linear-gradient(180deg, hsl(216, 77%, 23%), hsl(216, 77%, 23%));
    height: 100vh;
    display: flex;
    flex-direction: column;
    position: relative;
    overflow: hidden;
}

.auth-page::before {
    content: "";
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background: url('../images/wave.png') no-repeat center center;
    background-size: cover;
    animation: wave-fade-in 0.5s ease-in-out forwards;
}

@keyframes wave-fade-in {
    0% {
        opacity: 0.0;
    }

    50% {
        opacity: 0.4;
    }

    75% {
        opacity: 0.3;
    }

    100% {
        opacity: 0.25;
    }
}

.auth-card {
    margin: auto;
    padding: 2.5rem;
    background: #fff;
    border-radius: 1.5rem;
    box-shadow: 0px 7px 6px rgba(162, 96, 206, 0.06), 0px 7px 6px rgba(96, 197, 206, 0.06);
    z-index: 1;
    animation: auth-form-scale-in 0.5s ease forwards;
}

.auth-card--login {
    width: 100%;
    max-width: 450px;
    display: flex;
    flex-direction: column;
}

.auth-card--choose-role {
    width: 100%;
    max-width: 700px;
    display: flex;
    flex-direction: column;
}

.app-modules {
    display: flex;
    gap: 1rem;
}

.app-modules__link {
    text-decoration: none;
    font-weight: 600;
    color: #545b62;
    border: 1px solid #cccfd3;
    border-radius: 1rem;
    padding: 12px 16px;
    margin-bottom: 12px;
    display: flex;
    align-items: center;
    transition: all 0.3s ease;
    width: 100%;
    display: flex;
    gap: 1rem;
}

.app-modules__link:hover {
    transform: scale(1.05) translateY(-4px);
    background-color: hsl(216, 77%, 50%);
    color: white;
    border-color: hsl(216, 77%, 50%);
}

.app-modules__icon {
    width: 96px;
    height: 96px;
    margin-right: 12px;
}

@keyframes auth-form-scale-in {
    0% {
        transform: scale(0.8);
        opacity: 0;
    }

    50% {
        transform: scale(1.05);
        opacity: 1.05;
    }

    75% {
        transform: scale(0.98);
    }

    100% {
        transform: scale(1);
        opacity: 1;
        rotate: 0deg;
    }
}

/* ovverides */
.form-control {
    height: 44px;
    border: 1px solid #cccfd3;
    box-shadow: none;
    font-size: 14px;
    padding: 10px 15px;
    border-radius: 8px;
    transition: all 0.3s ease;
}

.input-icon {
    position: relative;
}

.input-icon .icon {
    position: absolute;
    left: 16px;
    top: 50%;
    transform: translateY(-50%);
    color: #6c757d;
    pointer-events: none;
}

.input-icon input {
    padding-left: 40px;
}

.form-label {
    margin-bottom: 6px;
    display: block;
    font-size: 0.9rem;
}

.btn {
    border-radius: 12px;
    padding: 10px 14px;
    font-size: 16px;
}

.btn-dark {
    box-shadow: inset 0px 18px 16px #545b62;
}
